#
# Conditional build:
%bcond_without	tests	# unit tests
#
%define	pdir	File
%define	pnam	HomeDir
Summary:	File::HomeDir - Find your home and other directories, on any platform
Summary(pl.UTF-8):	File::HomeDir - określanie katalogu domowego i innych katalogów na dowolnej platformie
Name:		perl-File-HomeDir
Version:	1.006
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3a59f74d227fdf97b2af908a2d4fee05
URL:		https://metacpan.org/dist/File-HomeDir
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl(Cwd) >= 3.12
BuildRequires:	perl(File::Path) >= 2.01
BuildRequires:	perl(File::Spec) >= 3.12
BuildRequires:	perl-File-Temp >= 0.19
BuildRequires:	perl-File-Which >= 0.05
BuildRequires:	perl-Test-Simple >= 0.47
%endif
Requires:	perl(Cwd) >= 3.12
Requires:	perl(File::Path) >= 2.01
Requires:	perl(File::Spec) >= 3.12
Requires:	perl-File-Temp >= 0.19
Requires:	perl-File-Which >= 0.05
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::HomeDir is a module for dealing with issues relating to the
location of directories that are "owned" by a user, primarily your
user, and to solve these issues consistently across a wide variety of
platforms.

%description -l pl.UTF-8
File::HomeDir to moduł do rozwiązywania kwestii związanych z
położeniem katalogów należących do użytkownika w sposób spójny dla
wielu platform.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/File/HomeDir.pm
%{perl_vendorlib}/File/HomeDir
%{_mandir}/man3/File::HomeDir*.3pm*
%changelog
* Tue May 31 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-HomeDir.git;a=log;h=master

* Tue May 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 9c48360
- macros for perl dependency generators

* Tue May 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 4cbfa00
- updated to 1.006

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 570a9a4
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d690fa
- up to 1.004

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 339cd94
- updated to 1.00

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> ad0e86b
- up to 0.99

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 32c8640
- up to 0.98

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> c4a0879
- Up to 0.97

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> 5f91c44
- updated to 0.86

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> be64feb
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> e9015ef
- up to 0.67

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9d7ccba
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b5ce42c
- converted to UTF-8

* Sun Oct 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 8cf7b7b
- pl

* Mon Sep 25 2006 radek <radek@pld-linux.org> 8fc6d48
- new

